#include "xoperandinternaldataunion.h"

XOperandInternalDataUnion::XOperandInternalDataUnion()
    : XAsset()
    , mIntVal(0)
    , mFloatVal(0.0f)
    , mString("")
{
    
}

XOperandInternalDataUnion::~XOperandInternalDataUnion()
{
    
}

void XOperandInternalDataUnion::ParseData(QDataStream *aStream)
{
    
}

void XOperandInternalDataUnion::Clear()
{
    mIntVal = 0;
    mFloatVal = 0;
    mString.clear();
}
